Bug 137106 - grubby doesn't set default kernel properly when removing kernels
grubby doesn't set default kernel properly when removing kernels
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: mkinitrd (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-25 15:48 EDT by Sean Dilda
Modified: 2014-01-21 17:50 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:15:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sean Dilda 2004-10-25 15:48:18 EDT
I have a RHEL3u3 system using grub that had two kernels installed. 
The first in the grub.conf was an smp kernel, the second was a up
kernel.  The default line in grub.conf said 'default=0'.

I ran 'rpm -e kernel-smp' which removed the first kernel in the
grub.conf.  Afterwards, the smp entry was gone from grub.conf, but the
default line read 'default=1', which doesn't actually exist.
Comment 1 RHEL Product and Program Management 2007-10-19 15:15:29 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.